you need flash 8+ for this site
download flash plugin

Sie benötigen das Flash-Plugin
(ab Version 8)

Bitte die aktuelle Version downloaden und auf Ihrem Rechner installieren.
hier bekommen Sie die aktuelle Version.

 
enter with flash 8+ installed

weiter mit Flash 8+ installiert